using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper8.AnagramViewer
{
	internal interface IFileTypeHandler
	{
		DataType CheckDataType(Stream input);
		Image AsImage(Stream input);
		string AsText(Stream input);

	}

	internal enum DataType
	{
		Unknown,
		Image,
		Text
	}
}
